package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.UserExtend;
import com.ruoyi.xq.dto.admin.user.UserExtendAdminVo;
import com.ruoyi.xq.dto.admin.user.req.UpdateIncomeCoinReq;

import java.math.BigDecimal;

/**
 * 用户邀请Service接口
 *
 * @author 77
 * @date 2024-03-04
 */
public interface UserExtendService extends IService<UserExtend> {

    boolean withdraw(Long userId, BigDecimal withdrawPrice);
    void resetWithdraw(Long userId, BigDecimal withdrawMoney, String traceId);

    boolean incsWithdrawCount(Long userId, BigDecimal withdrawMonty);

    Page<UserExtendAdminVo> pageAdmin(PageQuery pageQuery, UserExtendAdminVo bo);

    void updateIncomeCoin(UpdateIncomeCoinReq bo);


}
